Package org.kapott.hbci.protocol

## Class DEG

- java.lang.Object
- - org.kapott.hbci.protocol.SyntaxElement
  - - org.kapott.hbci.protocol.DEG

    public final class DEG
    extends SyntaxElement

### Field Summary

### Fields inherited from class org.kapott.hbci.protocol.SyntaxElement

`ALLOW_OVERWRITE, DONT_ALLOW_OVERWRITE, DONT_TRY_TO_CREATE, TRY_TO_CREATE`

### Constructor Summary

Constructors
`DEG​(java.lang.String type, java.lang.String name, java.lang.String path, char predelim, int idx, java.lang.StringBuffer res, int fullResLen, org.w3c.dom.Document syntax, java.util.Hashtable<java.lang.String,​java.lang.String> predefs, java.util.Hashtable<java.lang.String,​java.lang.String> valids)`
`DEG​(java.lang.String type, java.lang.String name, java.lang.String path, int idx, org.w3c.dom.Document syntax)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected MultipleSyntaxElements` `createNewChildContainer​(org.w3c.dom.Node ref, org.w3c.dom.Document syntax)` erzeugt einen neuen Child-Container, welcher durch den xml-knoten 'ref' identifiziert wird; wird beim erzeugen von elementen benutzt
`void` `destroy()`
`void` `getElementPaths​(java.util.Properties p, int[] segref, int[] degref, int[] deref)`
`protected java.lang.String` `getElementTypeName()` gibt einen string mit den typnamen (msg,seg,deg,de,...) des elementes zurueck
`protected char` `getInDelim()` liefert das delimiter-zeichen zurueck, dass innerhalb dieses syntaxelementes benutzt wird, um die einzelnen child-elemente voneinander zu trennen
`void` `init​(java.lang.String type, java.lang.String name, java.lang.String path, char predelim, int idx, java.lang.StringBuffer res, int fullResLen, org.w3c.dom.Document syntax, java.util.Hashtable<java.lang.String,​java.lang.String> predefs, java.util.Hashtable<java.lang.String,​java.lang.String> valids)`
`void` `init​(java.lang.String type, java.lang.String name, java.lang.String path, int idx, org.w3c.dom.Document syntax)`
`protected MultipleSyntaxElements` `parseNewChildContainer​(org.w3c.dom.Node dataref, char predelim0, char predelim1, java.lang.StringBuffer res, int fullResLen, org.w3c.dom.Document syntax, java.util.Hashtable<java.lang.String,​java.lang.String> predefs, java.util.Hashtable<java.lang.String,​java.lang.String> valids)` beim parsen: haengt an die 'childElements' ein neues Element an.
`java.lang.String` `toString​(int zero)` diese toString() methode wird benutzt, um den wert eines de-syntaxelementes in human-readable-form zurueckzugeben.

### Methods inherited from class org.kapott.hbci.protocol.SyntaxElement

`addChildContainer, checkSegSeq, createAndAppendNewChildContainer, enumerateSegs, extractValues, getChildContainers, getElement, getName, getParent, getPath, getPosInMsg, getPreDelim, getSyntaxDef, getType, getValueOfDE, getValueOfDE, isValid, parseAndAppendNewChildContainer, propagateValue, setName, setParent, setPath, setType, setValid, storeValidValueInDE, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DEG

    public DEG​(java.lang.String type,
               java.lang.String name,
               java.lang.String path,
               int idx,
               org.w3c.dom.Document syntax)

#### DEG

    public DEG​(java.lang.String type,
               java.lang.String name,
               java.lang.String path,
               char predelim,
               int idx,
               java.lang.StringBuffer res,
               int fullResLen,
               org.w3c.dom.Document syntax,
               java.util.Hashtable<java.lang.String,​java.lang.String> predefs,
               java.util.Hashtable<java.lang.String,​java.lang.String> valids)

### Method Detail

#### getElementTypeName

    protected java.lang.String getElementTypeName()

Description copied from class: `SyntaxElement`
gibt einen string mit den typnamen (msg,seg,deg,de,...) des elementes zurueck

Specified by:
  `getElementTypeName` in class `SyntaxElement`

#### createNewChildContainer

    protected MultipleSyntaxElements createNewChildContainer​(org.w3c.dom.Node ref,
                                                             org.w3c.dom.Document syntax)

Description copied from class: `SyntaxElement`
erzeugt einen neuen Child-Container, welcher durch den xml-knoten 'ref' identifiziert wird; wird beim erzeugen von elementen benutzt

Specified by:
  `createNewChildContainer` in class `SyntaxElement`

#### init

    public void init​(java.lang.String type,
                     java.lang.String name,
                     java.lang.String path,
                     int idx,
                     org.w3c.dom.Document syntax)

Overrides:
  `init` in class `SyntaxElement`

#### toString

    public java.lang.String toString​(int zero)

Description copied from class: `SyntaxElement`
diese toString() methode wird benutzt, um den wert eines de-syntaxelementes in human-readable-form zurueckzugeben. innerhalb eines de-elementes wird der wert in der hbci-form gespeichert

Overrides:
  `toString` in class `SyntaxElement`

#### parseNewChildContainer

    protected MultipleSyntaxElements parseNewChildContainer​(org.w3c.dom.Node dataref,
                                                            char predelim0,
                                                            char predelim1,
                                                            java.lang.StringBuffer res,
                                                            int fullResLen,
                                                            org.w3c.dom.Document syntax,
                                                            java.util.Hashtable<java.lang.String,​java.lang.String> predefs,
                                                            java.util.Hashtable<java.lang.String,​java.lang.String> valids)

Description copied from class: `SyntaxElement`
beim parsen: haengt an die 'childElements' ein neues Element an. der xml-knoten 'ref' gibt an, um welches element es sich dabei handelt; aus 'res' (der zu parsende String) wird der wert fuer das element ermittelt (falls es sich um ein de handelt); in 'predefined' ist der wert des elementes zu finden, der laut syntaxdefinition ('syntax') an dieser stelle auftauchen mueste (optional; z.b. fuer segmentcodes); 'predelim*' geben die delimiter an, die direkt vor dem zu erzeugenden syntaxelement auftauchen muessten

Specified by:
  `parseNewChildContainer` in class `SyntaxElement`

#### getInDelim

    protected char getInDelim()

Description copied from class: `SyntaxElement`
liefert das delimiter-zeichen zurueck, dass innerhalb dieses syntaxelementes benutzt wird, um die einzelnen child-elemente voneinander zu trennen

Specified by:
  `getInDelim` in class `SyntaxElement`

#### init

    public void init​(java.lang.String type,
                     java.lang.String name,
                     java.lang.String path,
                     char predelim,
                     int idx,
                     java.lang.StringBuffer res,
                     int fullResLen,
                     org.w3c.dom.Document syntax,
                     java.util.Hashtable<java.lang.String,​java.lang.String> predefs,
                     java.util.Hashtable<java.lang.String,​java.lang.String> valids)

Overrides:
  `init` in class `SyntaxElement`

#### getElementPaths

    public void getElementPaths​(java.util.Properties p,
                                int[] segref,
                                int[] degref,
                                int[] deref)

Overrides:
  `getElementPaths` in class `SyntaxElement`

#### destroy

    public void destroy()

Overrides:
  `destroy` in class `SyntaxElement`